











OUTPUT_FORMAT("elf32-sh-linux", "elf32-sh-linux", "elf32-sh-linux")

OUTPUT_ARCH(sh)
MEMORY
{
	ROM (rx):   ORIGIN = 0x80000000, LENGTH = 163840
	RAM (rw):   ORIGIN = 0x8c000000, LENGTH = 4096
	STACK (rw): ORIGIN = 0x8c001000, LENGTH = 4096
}


SECTIONS
{
  .text :
  {
    entry.o(.text)
    *(.text)
    *(.rodata)
  } > ROM
  .data :
  {
    *(.data)
  } > RAM
  . = ALIGN(4);
  __bss_start = .;		/* BSS */
  .bss :
  {
    *(.bss)
    *(COMMON)
  } > RAM
  . = ALIGN(4);
  __bss_end = .;
  .stack   :
  {
    *(.stack)
  } > STACK
  .stab :
  {
    *(.stab)
  }
  .comment :
  {
    *(.comment)
  }
  .stabstr :
  {
    *(.stabstr)
  }
}
